Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl
Class VariableInitExpImpl

    java.lang.Object
      OCLExpressionImpl
          org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ImperativeExpressionImpl
              org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.VariableInitExpImpl

All Implemented Interfaces:
  ImperativeExpression, VariableInitExp

    public class VariableInitExpImpl

extends ImperativeExpressionImpl
implements VariableInitExp

An implementation of the model object 'Variable Init Exp'.

The following features are implemented:

- `Referred Variable`
- `With Result`

Field Summary
`protected Variable` | `referredVariable` The cached value of the '`Referred Variable`' containment reference
`protected static boolean` | `WITH_RESULT_EDEFAULT` The default value of the '`With Result`' attribute
`protected boolean` | `withResult` The cached value of the '`With Result`' attribute

Constructor Summary
`protected` | `VariableInitExpImpl()`

Method Summary
`
`<T,U extends > T`
` | `accept(U v)`
`NotificationChain` | `basicSetReferredVariable(Variable newReferredVariable, NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` | `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` | `eStaticClass()`
`void` | `eUnset(int featureID)`
`Variable` | `getReferredVariable()`
`boolean` | `isWithResult()`
`void` | `setReferredVariable(Variable newReferredVariable)`
`void` | `setWithResult(boolean newWithResult)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### referredVariable

    protected Variable referredVariable

  The cached value of the '`Referred Variable`' containment reference.

  See Also:
    `getReferredVariable()`

### WITH_RESULT_EDEFAULT

    protected static final boolean WITH_RESULT_EDEFAULT

  The default value of the '`With Result`' attribute.

  See Also:
    `isWithResult()`, Constant Field Values

### withResult

    protected boolean withResult

  The cached value of the '`With Result`' attribute.

  See Also:
    `isWithResult()`

Constructor Detail

### VariableInitExpImpl

    protected VariableInitExpImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `ImperativeExpressionImpl`

### getReferredVariable

    public Variable getReferredVariable()

  Specified by:
    `getReferredVariable` in interface `VariableInitExp`
  Returns:
    the value of the 'Referred Variable' containment reference.
  See Also:
    `VariableInitExp.setReferredVariable(Variable)`, `ImperativeOCLPackage.getVariableInitExp_ReferredVariable()`

### basicSetReferredVariable

    public NotificationChain basicSetReferredVariable(Variable newReferredVariable,
                                                      NotificationChain msgs)

### setReferredVariable

    public void setReferredVariable(Variable newReferredVariable)

  Specified by:
    `setReferredVariable` in interface `VariableInitExp`
  Parameters:
    `newReferredVariable` - the new value of the 'Referred Variable' containment reference.
  See Also:
    `VariableInitExp.getReferredVariable()`

### isWithResult

    public boolean isWithResult()

  Specified by:
    `isWithResult` in interface `VariableInitExp`
  Returns:
    the value of the 'With Result' attribute.
  See Also:
    `VariableInitExp.setWithResult(boolean)`, `ImperativeOCLPackage.getVariableInitExp_WithResult()`

### setWithResult

    public void setWithResult(boolean newWithResult)

  Specified by:
    `setWithResult` in interface `VariableInitExp`
  Parameters:
    `newWithResult` - the new value of the 'With Result' attribute.
  See Also:
    `VariableInitExp.isWithResult()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ImperativeExpressionImpl`

### accept

    public <T,U extends > T accept(U v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD